/*
 * Class EV_ENVIRONMENT
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_973 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_973 [] = {0xFF01,1551,972,0xFFFF};
static const EIF_TYPE_INDEX egt_2_973 [] = {0xFF01,972,0xFFFF};
static const EIF_TYPE_INDEX egt_3_973 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_973 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_973 [] = {0xFF01,972,0xFFFF};
static const EIF_TYPE_INDEX egt_6_973 [] = {0xFF01,972,0xFFFF};
static const EIF_TYPE_INDEX egt_7_973 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_973 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_973 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_973 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_973 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_973 [] = {0xFF01,972,0xFFFF};
static const EIF_TYPE_INDEX egt_13_973 [] = {0xFF01,1141,0xFFFF};
static const EIF_TYPE_INDEX egt_14_973 [] = {0xFF01,1141,0xFFFF};
static const EIF_TYPE_INDEX egt_15_973 [] = {0xFF01,1560,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_16_973 [] = {0xFF01,1560,0xFF01,924,0xFFFF};
static const EIF_TYPE_INDEX egt_17_973 [] = {0xFF01,1560,0xFF01,914,0xFFFF};


static const struct desc_info desc_973[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_973), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_973), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_973), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_973), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_973), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_973), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_973), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_973), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_973), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_973), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_973), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_973), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0799 /*972*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_973), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 24214, 0},
	{EIF_GENERIC(NULL), 24215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24201, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_973), 24457, 4},
	{EIF_GENERIC(NULL), 24203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24459, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24458, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24206, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_973), 24207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 24208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24210, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24211, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x079F /*975*/), 24460, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x079F /*975*/), 24461, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_973), 24462, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_973), 24463, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_973), 24464, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24452, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24453, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 24454, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24455, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24456, 0xFFFFFFFF},
};
void Init973(void)
{
	IDSC(desc_973, 0, 972);
	IDSC(desc_973 + 1, 1, 972);
	IDSC(desc_973 + 32, 1593, 972);
	IDSC(desc_973 + 47, 45, 972);
}


#ifdef __cplusplus
}
#endif
